Subject: Re: bug#5440: 23.1; buffer-file-format encoding temp buffers not reentrant

From: Andrew Hyatt <[email-masked]>
Date: Sun, 24 Jul 2016 01:06:05 -0400

Eli Zaretskii <[email-masked]> writes:

>> From: Andrew Hyatt <[email-masked]>
>> Date: Thu, 21 Jul 2016 00:33:17 -0400
>> Cc: [email-masked]
>> 
>> This reproduces on Emacs 25.  But I wonder if this should be a wishlist
>> instead of a bug.  As the original report notes, decoding a buffer
>> while encoding another buffer doesn't seem like a normal use-case.
>> 
>> If no one objects in the next few weeks, I can wishlist this.  Making it
>> a minor-severity bug also seems reasonable to me.
>
> I agree.  I also suggest to amend the documentation to make this issue
> more explicitly mentioned.  The ELisp manual already says
>
>  -- Variable: format-alist
>      This list contains one format definition for each defined file
>      format.            ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>      ^^^^^^
>
> "Only one format definition per format."  But I think it won't do any
> harm to specifically warn about violating that.
>
> Thanks.

I think the original bug report had one format definition for each
defined file format, but was manipulating a file in one format while in
another format function.  How about I change the documentation to just
warn not to manipulate other files in FROM-FN here?